﻿using System;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using System.Configuration;
using System.Data.SqlClient;
using System.Collections.Generic;
using DropDownListFor_MVC.Models;
namespace DropDownListFor_MVC.Controllers
{
public class HomeController : Controller
{
    // GET: Home
    public ActionResult Index()
    {
        FruitModel fruit = new FruitModel();
        fruit.Fruits = PopulateFruits();
        return View(fruit);
    }

    [HttpPost]
    public ActionResult Index(FruitModel fruit)
    {
        fruit.Fruits = PopulateFruits();
        var selectedItem = fruit.Fruits.Find(p => p.Value == fruit.FruitId.ToString());
        if (selectedItem != null)
        {
            selectedItem.Selected = true;
            ViewBag.Message = "Fruit: " + selectedItem.Text;
            ViewBag.Message += "\\nQuantity: " + fruit.Quantity;
        }

        return View(fruit);
    }

    private static List<SelectListItem> PopulateFruits()
    {
        List<SelectListItem> items = new List<SelectListItem>();
        string constr = ConfigurationManager.ConnectionStrings["Constring"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            string query = " SELECT FruitName, FruitId FROM Fruits";
            using (SqlCommand cmd = new SqlCommand(query))
            {
                cmd.Connection = con;
                con.Open();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        items.Add(new SelectListItem
                        {
                            Text = sdr["FruitName"].ToString(),
                            Value = sdr["FruitId"].ToString()
                        });
                    }
                }
                con.Close();
            }
        }

        return items;
    }
}
}